PUT /api/v3/accounts/{lcuid}¶
Summary¶
PUT accounts/{id}
Description¶
Update an account
See Account Response Fields for more information on the account object response
🔒 Required Permissions¶
At least one of the following permissions is required to access this endpoint:
account.updateagency.updateDeleteAllAgencyAccounts
Tags: accounts
Parameters¶
Header Parameters¶
| Name | Type | Required | Description | Example |
|---|---|---|---|---|
Authorization |
string |
✓ Yes | Bearer {AuthToken} |
|
Content-Type |
string |
✓ Yes | application/json |
|
Accept |
string |
✓ Yes | application/json |
|
AppIdV3 |
string |
✓ Yes | LCUID-LAP-********-****-****-****-************ |
Request Body¶
Required: Yes
Content Type: application/json¶
Schema¶
Type: object
Required fields: name
Properties:
name(string) (required)description(string)website(string)
Responses¶
Response: 200¶
Description: Sample Response
Content Type: application/json¶
Schema¶
Type: object
Properties:
success(boolean): Indicates whether the request was successful or notaccount(object) Type:object
Properties:
name(string)-
options(object) Type:objectProperties:
primary_image_public_url(string)primary_image_background_removed_public_url(string)
-
lcuid(string) slug(string)website(string)description(string)created_at(string)inventory_item_class(array)- Array items:
string
- Array items:
account_class(string)inventory_item_class_description(string)account_class_description(string)-
agency(object) Type:objectProperties:
name(string)description(string)software_provider(string)website(string)status(integer)agency_class(string)options(object) Type:object
Properties:
primary_image_public_url(string)support_text(string)-
proof_legal_text(string) -
lcuid(string) slug(string)created_at(string)updated_at(string)agency_class_description(string)
-
is_parent_account(boolean)
Example Response¶
{
"success": true,
"account": {
"name": "Blue River Real Estate - Updated",
"options": {
"primary_image_public_url": null,
"primary_image_background_removed_public_url": null
},
"lcuid": "LCUID-LA-22d4884e-2622-48a7-a4bf-ac1b4e844876",
"slug": "UnitTestAccountTwfe3",
"website": "https://www.blueriverrealestate.com",
"description": "Updated A real estate agency in Blue River, Oregon",
"created_at": "2026-02-03T18:12:46.000000Z",
"inventory_item_class": [
"App\\LuCore\\InventoryItems\\GenericInventoryItemClass"
],
"account_class": "App\\LuCore\\Accounts\\InventoryAccountClass",
"inventory_item_class_description": "Generic",
"account_class_description": "Inventory",
"agency": {
"name": "Breezy Billboards",
"description": "Here is a new unit test agency description",
"software_provider": null,
"website": null,
"status": 0,
"agency_class": "App\\LuCore\\Agencies\\OperatorAgencyClass",
"options": {
"primary_image_public_url": null,
"support_text": null,
"proof_legal_text": null
},
"lcuid": "LCUID-LY-eeb496f2-134c-467b-b226-f3427b27774a",
"slug": "TestAgencyUnitTestFtggw",
"created_at": "2026-02-03T18:12:46.000000Z",
"updated_at": "2026-02-03T18:12:46.000000Z",
"agency_class_description": "Operator"
},
"is_parent_account": false
}
}
Example Implementations¶
Bash (cURL)¶
curl --request PUT \
"https://api.lucit.app/api/v3/accounts/LCUID-LA-506fc585-77be-11ec-acb9-c2cdb617d190" \
--header "Authorization: Bearer {AuthToken}" \
--header "Content-Type: application/json" \
--header "Accept: application/json" \
--header "AppIdV3: LCUID-LAP-********-****-****-****-************" \
--data "{
\"name\": \"My New Account\",
\"description\": \"My New Account Description\",
\"website\": \"https:\\/\\/www.mynewaccount.com\"
}"
JavaScript (Fetch API)¶
const url = new URL(
"https://api.lucit.app/api/v3/accounts/LCUID-LA-506fc585-77be-11ec-acb9-c2cdb617d190"
);
const headers = {
"Authorization": "Bearer {AuthToken}",
"Content-Type": "application/json",
"Accept": "application/json",
"AppIdV3": "LCUID-LAP-********-****-****-****-************",
};
let body = {
"name": "My New Account",
"description": "My New Account Description",
"website": "https:\/\/www.mynewaccount.com"
};
fetch(url, {
method: "PUT",
headers,
body: JSON.stringify(body),
}).then(response => response.json());
PHP (Guzzle)¶
$client = new \GuzzleHttp\Client();
$response = $client->put(
'https://api.lucit.app/api/v3/accounts/LCUID-LA-506fc585-77be-11ec-acb9-c2cdb617d190',
[
'headers' => [
'Authorization' => 'Bearer {AuthToken}',
'Content-Type' => 'application/json',
'Accept' => 'application/json',
'AppIdV3' => 'LCUID-LAP-********-****-****-****-************',
],
'json' => [
'name' => 'My New Account',
'description' => 'My New Account Description',
'website' => 'https://www.mynewaccount.com',
],
]
);
$body = $response->getBody();
print_r(json_decode((string) $body));
Python (Requests)¶
import requests
import json
url = 'https://api.lucit.app/api/v3/accounts/LCUID-LA-506fc585-77be-11ec-acb9-c2cdb617d190'
payload = {
"name": "My New Account",
"description": "My New Account Description",
"website": "https:\/\/www.mynewaccount.com"
}
headers = {
'Authorization': 'Bearer {AuthToken}',
'Content-Type': 'application/json',
'Accept': 'application/json',
'AppIdV3': 'LCUID-LAP-********-****-****-****-************'
}
response = requests.request('PUT', url, headers=headers, json=payload)
response.json()